# pandas.api.extensions.ExtensionArray._formatter

ExtensionArray._formatter(boxed=False)

  Formatting function for scalar values.

  This is used in the default ‘__repr__’. The returned formatting function receives instances of your scalar type.

  Parameters
    boxed bool, default False

      An indicated for whether or not your array is being printed within a Series, DataFrame, or Index (True), or just by itself (False). This may be useful if you want scalar values to appear differently within a Series versus on its own (e.g. quoted or not).

  Returns
    Callable[[Any], str]

      A callable that gets instances of the scalar type and returns a string. By default, `repr()` is used when `boxed=False` and `str()` is used when `boxed=True`.